API reference / Enrolments
Retrieve an enrolment
GET
/v1/enrolments/{id}Needs a bearer access token with the enrolments.read scope. How authentication works
One enrolment from your organization, by id.
Path parameters
idstring · uuidpathrequiredThe enrolment's id.
Responses
- 200The enrolment
Response fields
dataEnrolmentidstring · uuiduser_idstring · uuidcourse_idstring · uuidstatusstringAllowed values:
in_progresscompletedenrolled_atstring · date-timecompleted_atstring · date-timenullableaccess_expires_atstring · date-timenullable
- 404Not foundExample response
{ "error": { "code": "not_found", "message": "Not found." } }
